
# Docker image versions
IMAGE_VERSION={{ lookup('env', 'IMAGE_VERSION') }}
TRAEFIK_VERSION=v2.9.1
DOCKER_PROXY_VERSION=latest

# Docker image URLs
OAIPMH_IMAGE=registry.gitlab.com/naturalis/bii/oaipmh/oaipmh-server:${IMAGE_VERSION}
TRAEFIK_IMAGE=traefik:${TRAEFIK_VERSION}
DOCKER_PROXY_IMAGE=tecnativa/docker-socket-proxy:${DOCKER_PROXY_VERSION}

AWS_ACCESS_KEY_ID={{ AWS_ACCESS_KEY_ID }}
AWS_SECRET_ACCESS_KEY={{ AWS_SECRET_ACCESS_KEY }}
TRAEFIK_LOG_LEVEL=WARN
FQDN={{ FQDN }}
MESSAGING_WEB_HOOK={{ MESSAGING_WEB_HOOK }}

MEDIALIB_BASE_URL={{ MEDIALIB_BASE_URL }}
MEDIALIB_DB_HOST={{ MEDIALIB_DB_HOST }}
MEDIALIB_DB_PORT={{ MEDIALIB_DB_PORT }}
MEDIALIB_DB_USER={{ MEDIALIB_DB_USER }}
MEDIALIB_DB_PASS={{ MEDIALIB_DB_PASS }}
MEDIALIB_DB_NAME={{ MEDIALIB_DB_NAME }}

GENEIOUS_DB_HOST={{ GENEIOUS_DB_HOST }}
GENEIOUS_DB_PORT={{ GENEIOUS_DB_PORT }}
GENEIOUS_DB_USER={{ GENEIOUS_DB_USER }}
GENEIOUS_DB_PASS={{ GENEIOUS_DB_PASS }}
GENEIOUS_DB_NAME={{ GENEIOUS_DB_NAME }}

# Number of records served per request
MEDIALIB_PAGE_SIZE=1000
GENEIOUS_PAGE_SIZE=50

# Log level for anything but nl.naturalis packages
MAIN_LOGLEVEL=WARN
# Log level for nl.naturalis packages
APP_LOGLEVEL=INFO
